> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vast.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balance

# Get Balance

Retrieves the current balance of your VastCap account.

## API Endpoint

```
POST /getBalance
```

## Request Parameters

<ParamField body="clientKey" type="string" required>
  Your API key.
</ParamField>

## Response

<ResponseField name="balance" type="number">
  Your current account balance in USD.
</ResponseField>

## Example Request

```bash theme={null}
curl -X POST https://captcha.vast.sh/api/solver/getBalance \
  -H "Content-Type: application/json" \
  -d '{
    "clientKey": "YOUR_API_KEY"
  }'
```

## Example Response

```json theme={null}
{
  "balance": 10.25
}
```

## Error Codes

<ResponseField name="error" type="object">
  Error details when the request fails.
</ResponseField>

<ResponseField name="error.errorId" type="integer">
  Error ID.
</ResponseField>

<ResponseField name="error.errorCode" type="string">
  Error code identifier.
</ResponseField>

<ResponseField name="error.errorDescription" type="string">
  Human-readable error description.
</ResponseField>

Common error codes:

* `ERROR_KEY_DOES_NOT_EXIST` - Invalid API key
* `ERROR_ACCOUNT_DISABLED` - Account is disabled

## Notes

* Before making captcha solving requests, ensure your account has sufficient balance. The minimum required balance for making captcha solving requests is \$0.001.
* You can top up your account balance from the [VastCap Dashboard](https://captcha.vast.sh).
